%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Module-Info
%define modv   0.32
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl module to extract module information
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/M/MB/MBARBON/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Mattia Barbon <mbarbon@users.sourceforge.net>
Provides:      perl(B::Utils) = 0.04
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.4
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Pod) >= 1.00
BuildRequires: perl(Test::Pod::Coverage) >= 1.00
BuildRequires: perl(Text::Soundex)
BuildRequires: perl(version)
BuildArch:     noarch


%description
Module::Info gives information about Perl modules without actually loading
the module. It actually is not specific to modules and should work on any
Perl code.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} Build.PL \
	--installdirs vendor

./Build


%check
./Build test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

./Build pure_install \
	--destdir ${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes
%{_bindir}/module_info
%{_bindir}/pfunc
%{perl_vendorlib}/B
%{perl_vendorlib}/%{modp}
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Tue Nov 16 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.32-1
- New version (0.32)

* Mon May 12 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.31-1
- Initial build
